> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-cccf65ca.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user attribute

> Creates new user attribute



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json post /api/v1/org/attributes
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3233.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/org/attributes:
    post:
      tags:
        - User attributes
      summary: Create user attribute
      description: Creates new user attribute
      operationId: createUserAttribute
      parameters: []
      requestBody:
        description: the user attribute to create
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserAttribute'
              description: the user attribute to create
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCreateUserAttributeResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    CreateUserAttribute:
      allOf:
        - $ref: >-
            #/components/schemas/Pick_UserAttribute.name-or-description-or-attributeDefault_
        - properties:
            groups:
              items:
                $ref: '#/components/schemas/CreateGroupAttributeValue'
              type: array
            users:
              items:
                $ref: '#/components/schemas/CreateUserAttributeValue'
              type: array
          required:
            - groups
            - users
          type: object
    ApiCreateUserAttributeResponse:
      properties:
        results:
          $ref: '#/components/schemas/UserAttribute'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    Pick_UserAttribute.name-or-description-or-attributeDefault_:
      properties:
        description:
          type: string
        name:
          type: string
        attributeDefault:
          type: string
          nullable: true
      required:
        - name
        - attributeDefault
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    CreateGroupAttributeValue:
      $ref: '#/components/schemas/GroupAttributeValue'
    CreateUserAttributeValue:
      $ref: '#/components/schemas/Omit_UserAttributeValue.email_'
    UserAttribute:
      properties:
        attributeDefault:
          type: string
          nullable: true
        groups:
          items:
            $ref: '#/components/schemas/GroupAttributeValue'
          type: array
        users:
          items:
            $ref: '#/components/schemas/UserAttributeValue'
          type: array
        description:
          type: string
        organizationUuid:
          type: string
        name:
          type: string
        createdAt:
          type: string
          format: date-time
        uuid:
          type: string
      required:
        - attributeDefault
        - groups
        - users
        - organizationUuid
        - name
        - createdAt
        - uuid
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    GroupAttributeValue:
      properties:
        value:
          type: string
        groupUuid:
          type: string
      required:
        - value
        - groupUuid
      type: object
    Omit_UserAttributeValue.email_:
      $ref: >-
        #/components/schemas/Pick_UserAttributeValue.Exclude_keyofUserAttributeValue.email__
      description: Construct a type with the properties of T except for those in type K.
    UserAttributeValue:
      properties:
        value:
          type: string
        email:
          type: string
        userUuid:
          type: string
      required:
        - value
        - email
        - userUuid
      type: object
    Pick_UserAttributeValue.Exclude_keyofUserAttributeValue.email__:
      properties:
        userUuid:
          type: string
        value:
          type: string
      required:
        - userUuid
        - value
      type: object
      description: From T, pick a set of properties whose keys are in the union K

````